Get webhook endpoint config
curl --request GET \
--url https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "accf45c9-f08e-4b5f-a3b0-162b94baf5a0",
"description": "Endpoint to receive transaction notifications.",
"createdAt": "2024-08-08T13:44:00.234524Z",
"updatedAt": "2024-08-08T13:44:00.234526Z",
"publicKey": "-----BEGIN PUBLIC KEY-----\nMFYwEAYHKoZIzj0CAQYFK4EEAAoDQgAEeg+pxTCsjew/+7IK4+Vw5zyHDnMW7bzn\nsClhuYIKjXF8EJ1lfyZC2VPVullBKgvHRzNMfC1KkF2LIoRp2ibcWQ==\n-----END PUBLIC KEY-----",
"url": "https://your-domain.com/transaction-webhooks"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Permissions required: Configure Webhooks
Get the configuration details for an endpoint.
GET
/
webhook
/
endpoints
/
{endpointId}
Get webhook endpoint config
curl --request GET \
--url https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/webhook/endpoints/{endpointId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "accf45c9-f08e-4b5f-a3b0-162b94baf5a0",
"description": "Endpoint to receive transaction notifications.",
"createdAt": "2024-08-08T13:44:00.234524Z",
"updatedAt": "2024-08-08T13:44:00.234526Z",
"publicKey": "-----BEGIN PUBLIC KEY-----\nMFYwEAYHKoZIzj0CAQYFK4EEAAoDQgAEeg+pxTCsjew/+7IK4+Vw5zyHDnMW7bzn\nsClhuYIKjXF8EJ1lfyZC2VPVullBKgvHRzNMfC1KkF2LIoRp2ibcWQ==\n-----END PUBLIC KEY-----",
"url": "https://your-domain.com/transaction-webhooks"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
Unique identifier for the endpoint
Response
Webhook endpoint
Show child attributes
Show child attributes
Example:
{
"id": "accf45c9-f08e-4b5f-a3b0-162b94baf5a0",
"description": "Endpoint to receive transaction notifications.",
"createdAt": "2024-08-08T13:44:00.234524Z",
"updatedAt": "2024-08-08T13:44:00.234526Z",
"publicKey": "-----BEGIN PUBLIC KEY-----\nMFYwEAYHKoZIzj0CAQYFK4EEAAoDQgAEeg+pxTCsjew/+7IK4+Vw5zyHDnMW7bzn\nsClhuYIKjXF8EJ1lfyZC2VPVullBKgvHRzNMfC1KkF2LIoRp2ibcWQ==\n-----END PUBLIC KEY-----",
"url": "https://your-domain.com/transaction-webhooks"
}
Was this page helpful?
⌘I